> For the complete documentation index, see [llms.txt](https://docs.powertable.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.powertable.com/explore-powertable/formulas-and-functions/conditional-statements/if.md).

# IF

The IF function checks a condition and returns one value when it is TRUE; otherwise, it returns a second value.

### Syntax

```dax
IF(logical_test,value_if_true,value_if_false)
```

### Arguments

logical\_test – Any value or expression that can be evaluated as TRUE or FALSE.

value\_if\_true – The value to be returned if the logical test is TRUE.

value\_if\_false – The value to be returned if the logical test is FALSE.

### Return value

The return value can be either *value\_if\_true* or *value\_if\_false*.

### Example 1

```javascript
IF(PY > 0,(AC-PY)/PY,0)
```

The above formula returns (AC-PY)/PY if the PY value is greater than 0; otherwise, it returns 0.

### Excel equivalent

[IF](https://support.microsoft.com/en-us/office/if-function-69aed7c9-4e8a-4755-a9bc-aa8bbff73be2)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.powertable.com/explore-powertable/formulas-and-functions/conditional-statements/if.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
